## GUPnPDevice

GUPnPDevice — Class for device implementations.

## Properties

GUPnPRootDevice * | root-device | Read / Write / Construct Only

## Types and Values

| GUPnPDevice

## Object Hierarchy

        GObject
        ╰── GUPnPDeviceInfo
            ╰── GUPnPDevice
                ╰── GUPnPRootDevice

## Description

GUPnPDevice allows for retrieving a device's subdevices and services. GUPnPDevice implements the GUPnPDeviceInfo interface.

## Functions

## Types and Values

### GUPnPDevice

    typedef struct _GUPnPDevice GUPnPDevice;

This struct contains private data only, and should be accessed using the functions below.

## Property Details

### The `“root-device”` property

      “root-device”              GUPnPRootDevice *

The containing GUPnPRootDevice, or NULL if this is the root device.

Flags: Read / Write / Construct Only